<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>The m17n Library: Locale</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Locale<br/>
<small>
[<a class="el" href="group__m17nShell.html">SHELL API</a>]</small>
</h1>
<p>Locale objects and API for them.  
<a href="#_details">More...</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Typedefs</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="group__m17nLocale.html#ga093de48d154ac3fc793b31ddf14c4650">MLocale</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nLocale.html#ga093de48d154ac3fc793b31ddf14c4650">MLocale</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><code>struct</code> <code>MLocale</code>.  <a href="#ga093de48d154ac3fc793b31ddf14c4650"></a><br/></td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nLocale.html#ga093de48d154ac3fc793b31ddf14c4650">MLocale</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nLocale.html#ga11c3037d07d612838b2073fc2ef13d3d">mlocale_set</a> (int category, const char *name)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set the current locale.  <a href="#ga11c3037d07d612838b2073fc2ef13d3d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nLocale.html#ga2f10f651f59e1cca05e5cb6f741eac24">mlocale_get_prop</a> (<a class="el" href="group__m17nLocale.html#ga093de48d154ac3fc793b31ddf14c4650">MLocale</a> *locale, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the value of a locale property.  <a href="#ga2f10f651f59e1cca05e5cb6f741eac24"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nLocale.html#ga996b37804f9c0635b0c7a5267102bf74">mtext_ftime</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, const char *format, const struct tm *tm, <a class="el" href="group__m17nLocale.html#ga093de48d154ac3fc793b31ddf14c4650">MLocale</a> *locale)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Format date and time.  <a href="#ga996b37804f9c0635b0c7a5267102bf74"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nLocale.html#ga3daa62fc37282274b63c19130323919c">mtext_getenv</a> (const char *name)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get an environment variable.  <a href="#ga3daa62fc37282274b63c19130323919c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nLocale.html#ga67b46fd8c4d0fb14789a80f61d263256">mtext_putenv</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Change or add an environment variable.  <a href="#ga67b46fd8c4d0fb14789a80f61d263256"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nLocale.html#ga6c8b4437b6640c9fb49e7fedce865b68">mtext_coll</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt1, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt2)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Compare two M-texts using the current locale.  <a href="#ga6c8b4437b6640c9fb49e7fedce865b68"></a><br/></td></tr>
<tr><td colspan="2"><h2>Variables</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nLocale.html#ga03ce6cc49a183ecc3ffc4724038c1d34">Mterritory</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nLocale.html#gafe9c95126eebbbb6b48b1671793ad6ba">Mmodifier</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nLocale.html#ga41ed940959ef93e6b2238bd0f9442954">Mcodeset</a></td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>Locale objects and API for them. </p>
<p>The m17n library represents locale related information as objects of type <a class="el" href="group__m17nLocale.html#ga093de48d154ac3fc793b31ddf14c4650" title="struct MLocale.">MLocale</a>. </p>
<hr/><h2>Typedef Documentation</h2>
<a class="anchor" id="ga093de48d154ac3fc793b31ddf14c4650"></a><!-- doxytag: member="m17n.h::MLocale" ref="ga093de48d154ac3fc793b31ddf14c4650" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="group__m17nLocale.html#ga093de48d154ac3fc793b31ddf14c4650">MLocale</a> <a class="el" href="group__m17nLocale.html#ga093de48d154ac3fc793b31ddf14c4650">MLocale</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><code>struct</code> <code>MLocale</code>. </p>
<p>The structure <code>MLocale</code> is used to hold information about name, language, territory, modifier, codeset, and the corresponding coding system of locales.</p>
<p>The contents of this structure are implementation dependent. Its internal structure is concealed from application programs.</p>
<dl class="user"><dt><b>See Also:</b></dt><dd><a class="el" href="group__m17nLocale.html#ga2f10f651f59e1cca05e5cb6f741eac24" title="Get the value of a locale property.">mlocale_get_prop()</a> </dd></dl>

</div>
</div>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="ga11c3037d07d612838b2073fc2ef13d3d"></a><!-- doxytag: member="locale.c::mlocale_set" ref="ga11c3037d07d612838b2073fc2ef13d3d" args="(int category, const char *name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nLocale.html#ga093de48d154ac3fc793b31ddf14c4650">MLocale</a>* mlocale_set </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>category</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&nbsp;</td>
          <td class="paramname"> <em>name</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the current locale. </p>
<p>The <a class="el" href="group__m17nLocale.html#ga11c3037d07d612838b2073fc2ef13d3d" title="Set the current locale.">mlocale_set()</a> function sets or query a part of the current locale. The part is specified by <b>category</b> which must be a valid first argument to <code>setlocale()</code>.</p>
<p>If <b>locale</b> is not NULL, the locale of the specified part is set to <b>locale</b>. If <b>locale</b> is not supported by the system, the current locale is not changed.</p>
<p>If <b>locale</b> is NULL, the current locale of the specified part is queried.</p>
<dl class="user"><dt><b>Return value:</b></dt><dd>If the call is successful, <a class="el" href="group__m17nLocale.html#ga11c3037d07d612838b2073fc2ef13d3d" title="Set the current locale.">mlocale_set()</a> returns an opaque locale object that corresponds to the locale. The name of the locale can be acquired by the function <a class="el" href="group__m17nLocale.html#ga2f10f651f59e1cca05e5cb6f741eac24" title="Get the value of a locale property.">mlocale_get_prop()</a>. Otherwise, it returns NULL.</dd></dl>
<dl class="user"><dt><b>Errors:</b></dt><dd><code>MERROR_LOCALE</code> </dd></dl>

</div>
</div>
<a class="anchor" id="ga2f10f651f59e1cca05e5cb6f741eac24"></a><!-- doxytag: member="locale.c::mlocale_get_prop" ref="ga2f10f651f59e1cca05e5cb6f741eac24" args="(MLocale *locale, MSymbol key)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> mlocale_get_prop </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nLocale.html#ga093de48d154ac3fc793b31ddf14c4650">MLocale</a> *&nbsp;</td>
          <td class="paramname"> <em>locale</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>key</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the value of a locale property. </p>
<p>The <a class="el" href="group__m17nLocale.html#ga2f10f651f59e1cca05e5cb6f741eac24" title="Get the value of a locale property.">mlocale_get_prop()</a> function returns the value of a property <b>key</b> of local <b>locale</b>. <b>key</b> must be <a class="el" href="group__m17nCharacter.html#ga4848713c0a3c225f3600e10d9ae56631" title="Key for character name.">Mname</a>, <a class="el" href="group__m17nMtext.html#ga32374f3750874ea0142af8dac831ab25">Mlanguage</a>, <a class="el" href="group__m17nLocale.html#ga03ce6cc49a183ecc3ffc4724038c1d34">Mterritory</a>, <a class="el" href="group__m17nLocale.html#ga41ed940959ef93e6b2238bd0f9442954">Mcodeset</a>, <a class="el" href="group__m17nLocale.html#gafe9c95126eebbbb6b48b1671793ad6ba">Mmodifier</a>, or <a class="el" href="group__m17nConv.html#ga1b45516d687e484a023362d6d6f6089c" title="The symbol Mcoding.">Mcoding</a>. </p>

</div>
</div>
<a class="anchor" id="ga996b37804f9c0635b0c7a5267102bf74"></a><!-- doxytag: member="locale.c::mtext_ftime" ref="ga996b37804f9c0635b0c7a5267102bf74" args="(MText *mt, const char *format, const struct tm *tm, MLocale *locale)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mtext_ftime </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td>
          <td class="paramname"> <em>mt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&nbsp;</td>
          <td class="paramname"> <em>format</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const struct tm *&nbsp;</td>
          <td class="paramname"> <em>tm</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nLocale.html#ga093de48d154ac3fc793b31ddf14c4650">MLocale</a> *&nbsp;</td>
          <td class="paramname"> <em>locale</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Format date and time. </p>
<p>The <a class="el" href="group__m17nLocale.html#ga996b37804f9c0635b0c7a5267102bf74" title="Format date and time.">mtext_ftime()</a> function formats the broken-down time <b>tm</b> according to the format specification <b>format</b> and append the result to the M-text <b>mt</b>. The formating is done according to the locale <b>locale</b> (if not NULL) or the current locale (LC_TIME).</p>
<p>The meaning of the arguments <b>tm</b> and <b>format</b> are the same as those of strftime().</p>
<dl class="user"><dt><b>See Also:</b></dt><dd>strftime(). </dd></dl>

</div>
</div>
<a class="anchor" id="ga3daa62fc37282274b63c19130323919c"></a><!-- doxytag: member="locale.c::mtext_getenv" ref="ga3daa62fc37282274b63c19130323919c" args="(const char *name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a>* mtext_getenv </td>
          <td>(</td>
          <td class="paramtype">const char *&nbsp;</td>
          <td class="paramname"> <em>name</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get an environment variable. </p>
<p>The <a class="el" href="group__m17nLocale.html#ga3daa62fc37282274b63c19130323919c" title="Get an environment variable.">mtext_getenv()</a> function searches the environment variable list for a string that matches the string pointed to by <b>name</b>.</p>
<p>If there is a match, the function decodes the value according to the current locale (LC_CTYPE) into an M-text, and return that M-text.</p>
<p>If there is no match, the function returns NULL. </p>

</div>
</div>
<a class="anchor" id="ga67b46fd8c4d0fb14789a80f61d263256"></a><!-- doxytag: member="locale.c::mtext_putenv" ref="ga67b46fd8c4d0fb14789a80f61d263256" args="(MText *mt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mtext_putenv </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td>
          <td class="paramname"> <em>mt</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Change or add an environment variable. </p>
<p>The <a class="el" href="group__m17nLocale.html#ga67b46fd8c4d0fb14789a80f61d263256" title="Change or add an environment variable.">mtext_putenv()</a> function changes or adds the value of environment variables according to M-text <b>mt</b>. It calls the function <code>putenv</code> with an argument generated by encoding <b>mt</b> according to the current locale (LC_CTYPE).</p>
<dl class="user"><dt><b>Return value:</b></dt><dd>This function returns zero on success, or -1 if an error occurs. </dd></dl>

</div>
</div>
<a class="anchor" id="ga6c8b4437b6640c9fb49e7fedce865b68"></a><!-- doxytag: member="locale.c::mtext_coll" ref="ga6c8b4437b6640c9fb49e7fedce865b68" args="(MText *mt1, MText *mt2)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mtext_coll </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td>
          <td class="paramname"> <em>mt1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td>
          <td class="paramname"> <em>mt2</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Compare two M-texts using the current locale. </p>
<p>The <a class="el" href="group__m17nLocale.html#ga6c8b4437b6640c9fb49e7fedce865b68" title="Compare two M-texts using the current locale.">mtext_coll()</a> function compares the two M-texts <b>mt1</b> and <b>mt2</b>. It returns an integer less than, equal to, or greater than zero if <b>mt1</b> is found, respectively, to be less than, to match, or to be greater than <b>mt2</b>. The comparison is based on texts as appropriate for the current locale (LC_COLLATE).</p>
<p>This function makes use of information that is automatically cached in the M-texts as a text property. So, the second call of this function with <b>mt1</b> or <b>mt2</b> finishes faster than the first call. </p>

</div>
</div>
<hr/><h2>Variable Documentation</h2>
<a class="anchor" id="ga03ce6cc49a183ecc3ffc4724038c1d34"></a><!-- doxytag: member="locale.c::Mterritory" ref="ga03ce6cc49a183ecc3ffc4724038c1d34" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nLocale.html#ga03ce6cc49a183ecc3ffc4724038c1d34">Mterritory</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>The symbol whose name is "territory". </p>

</div>
</div>
<a class="anchor" id="gafe9c95126eebbbb6b48b1671793ad6ba"></a><!-- doxytag: member="locale.c::Mmodifier" ref="gafe9c95126eebbbb6b48b1671793ad6ba" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nLocale.html#gafe9c95126eebbbb6b48b1671793ad6ba">Mmodifier</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>The symbol whose name is "modifier". </p>

</div>
</div>
<a class="anchor" id="ga41ed940959ef93e6b2238bd0f9442954"></a><!-- doxytag: member="locale.c::Mcodeset" ref="ga41ed940959ef93e6b2238bd0f9442954" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nLocale.html#ga41ed940959ef93e6b2238bd0f9442954">Mcodeset</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>The symbol whose name is "codeset". </p>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>Defines</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-en/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
